org.fourthline.cling.support.connectionmanager

## Class ConnectionManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.fourthline.cling.model.action.ActionException
      - - org.fourthline.cling.support.connectionmanager.ConnectionManagerException

- All Implemented Interfaces:
    Serializable

      public class ConnectionManagerException
      extends ActionException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionManagerException(ConnectionManagerErrorCode errorCode)`
    `ConnectionManagerException(ConnectionManagerErrorCode errorCode, String message)`
    `ConnectionManagerException(ErrorCode errorCode)`
    `ConnectionManagerException(ErrorCode errorCode, String message)`
    `ConnectionManagerException(int errorCode, String message)`
    `ConnectionManagerException(int errorCode, String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.action.ActionException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionManagerException

          public ConnectionManagerException(int errorCode,
                                    String message)

    - #### ConnectionManagerException

          public ConnectionManagerException(int errorCode,
                                    String message,
                                    Throwable cause)

    - #### ConnectionManagerException

          public ConnectionManagerException(ErrorCode errorCode,
                                    String message)

    - #### ConnectionManagerException

          public ConnectionManagerException(ErrorCode errorCode)

    - #### ConnectionManagerException

          public ConnectionManagerException(ConnectionManagerErrorCode errorCode,
                                    String message)

    - #### ConnectionManagerException

          public ConnectionManagerException(ConnectionManagerErrorCode errorCode)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.